varying vec2 		texcoord;	
uniform sampler2D 	tex;
uniform vec4		ambientColor;

void main()
{
	// get texel
	vec4 decal=texture2D(tex,texcoord.st);

	// output color
	gl_FragColor=ambientColor*decal;
}